# IsNewFile

Field in [OutputFile](/2.4/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.upgraderesult/yarn.compiler.upgrader.upgraderesult.outputfile.md)

## Summary

Indicates whether this [OutputFile](/2.4/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.upgraderesult/yarn.compiler.upgrader.upgraderesult.outputfile.md) represents a new file to be created. If this is `true` , [OriginalSource](/2.4/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.upgraderesult/yarn.compiler.upgrader.upgraderesult.outputfile/yarn.compiler.upgrader.upgraderesult.outputfile.originalsource.md) will be the empty string, and [Replacements](/2.4/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.upgraderesult/yarn.compiler.upgrader.upgraderesult.outputfile/yarn.compiler.upgrader.upgraderesult.outputfile.replacements.md) will be empty.

```csharp
public bool IsNewFile;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.upgraderesult/yarn.compiler.upgrader.upgraderesult.outputfile/yarn.compiler.upgrader.upgraderesult.outputfile.isnewfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
